/etc/logcheck/ignore.d.server/dhclient needs updated regex

Bug #1357880 reported by Thorsten Rhau on 2014-08-17
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
logcheck (Ubuntu)
Low
Unassigned
Trusty
Undecided
Joshua Powers
Xenial
Undecided
Joshua Powers
Yakkety
Undecided
Unassigned
Zesty
Undecided
Unassigned

Bug Description

== Begin SRU Template ==
[Impact]

 * logcheck produces noisy logs with output that should instead be filtered due to a change in the way dhclient reports offers.

[Test Case]

 * uvt-simplestreams-libvirt sync release=xenial arch=amd64
 * uvt-kvm create xenial
 * uvt-kvm ssh xenial --insecure
 * sudo apt install logcheck -y
 * # Determine interface name (ens3 in this example)
 * ip a
 * # Force dhclient, run a couple times for more output
 * sudo rm /var/lib/dhcp/dhclient*leases; sudo dhclient ens3
 * # Check logcheck output for dhclient output
 * sudo -u logcheck logcheck -o

If not fixed, there will be DHCPDISCOVER, DHCPREQUEST, DHCPOFFER, DHCPPACK messages that should have been filtered. When correctly working there will be no messages from dhclient.

Also note that if there is a failure in DHCP there will be error messages and these should be there!

[Regression Potential]

* Users currently experiencing this issue would be expecting an SRU fix to come from us as the application is broken.
* The only work around it would require editing the dhclient ignore rules by hand. If an end user had already done these same changes, then those changes would be written over.
* If the end user did have custom rules they would be over written as well.

[Other Info]

The regex on line 12 in /etc/logcheck/ignore.d.server/dhclient needs updating since it does not match the current output from dhclient

The current line (12) as included in version 1.3.16 of logcheck-database looks like this:
^\w{3} [ :0-9]{11} [._[:alnum:]-]+ dhclient(-2.2.x)?: DHCP(REQUEST|RELEASE) (of [.0-9]{7,15} )?on [[:alnum:].-]+ to [.0-9]{7,15} port 67$

The line should look something like this is order to match the current outpt format of dhclient:
 ^\w{3} [ :0-9]{11} [._[:alnum:]-]+ dhclient(-2.2.x)?(\[[[:digit:]]+\])?: DHCP(REQUEST|RELEASE) (of [.0-9]{7,15} )?on [[:alnum:].]+ to [.0-9]{7,15} por t 67( \(xid=0x[0-9a-f]+\))?$

This has been observed on a fresh install of ubuntu server 14.04.1 (no upgrades from previous versions).

Procedure to reproduce:
- Install system that has at least one interface running dhcpclient
- Wait for dhclient to request or renew it's ip lease
- Wait for logwatch to run and send out its notification

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: logcheck-database 1.3.16
ProcVersionSignature: Ubuntu 3.13.0-34.60-generic 3.13.11.4
Uname: Linux 3.13.0-34-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.3
Architecture: amd64
Date: Sun Aug 17 10:09:15 2014
Dependencies:

InstallationDate: Installed on 2014-08-14 (2 days ago)
InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.3)
PackageArchitecture: all
SourcePackage: logcheck
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.logcheck.cracking.d.kernel: [deleted]
modified.conffile..etc.logcheck.cracking.d.rlogind: [deleted]
modified.conffile..etc.logcheck.cracking.d.rsh: [deleted]
modified.conffile..etc.logcheck.cracking.d.smartd: [deleted]
modified.conffile..etc.logcheck.cracking.d.tftpd: [deleted]
modified.conffile..etc.logcheck.cracking.d.uucico: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.bind: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.cron: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.incron: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.logcheck: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.postfix: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.ppp: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.pureftp: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.qpopper: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.squid: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.ssh: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.stunnel: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.sysklogd: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.telnetd: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.tripwire: [deleted]
modified.conffile..etc.logcheck.ignore.d.paranoid.usb: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.acpid: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.amandad: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.amavisd.new: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.anacron: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.anon.proxy: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.apache: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.apcupsd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.arpwatch: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.asterisk: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.automount: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.bind: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.bluez.utils: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.courier: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cpqarrayd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cpufreqd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cron: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cron.apt: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cups.lpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cvs.pserver: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cvsd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.cyrus: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dcc: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.ddclient: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dhclient: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dhcp: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dictd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dkfilter: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dkim.filter: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dnsmasq: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dovecot: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dropbear: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.dspam: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.epmd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.exim4: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.fcron: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.ftpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.git.daemon: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.gnu.imap4d: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.gps: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.grinch: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.horde3: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.hplip: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.hylafax: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.ikiwiki: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.imap: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.imapproxy: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.imp: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.imp4: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.innd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.ipppd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.isdnlog: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.isdnutils: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.jabberd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.kernel: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.klogind: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.krb5.kdc: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.libpam.krb5: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.libpam.mount: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.logcheck: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.login: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.maradns: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.mldonkey.server: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.mon: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.mountd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.nagios: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.netconsole: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.nfs: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.nntpcache: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.nscd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.nslcd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.openvpn: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.otrs: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.passwd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.pdns: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.perdition: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.policyd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.popa3d: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.postfix: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.postfix.policyd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.ppp: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.pptpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.procmail: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.proftpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.pure.ftpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.pureftp: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.qpopper: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.rbldnsd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.rpc.statd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.rsnapshot: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.rsync: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.sa.exim: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.samba: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.saned: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.sasl2.bin: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.saslauthd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.schroot: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.scponly: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.slapd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.smartd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.smbd.audit: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.smokeping: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.snmpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.snort: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.spamc: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.spamd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.squid: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.ssh: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.stunnel: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.su: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.sudo: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.sympa: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.syslogd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.teapop: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.telnetd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.tftpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.thy: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.ucd.snmp: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.upsd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.uptimed: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.userv: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.vsftpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.watchdog: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.wu.ftpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.server.xinetd: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.automount: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.bind: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.bluetooth.alsa: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.bluez.utils: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.bonobo: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.dhcpcd: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.francine: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.gconf: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.gdm: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.hald: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.hcid: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.ifplugd: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.ippl: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.kdm: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.kernel: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.laptop.mode.tools: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.libmtp.runtime: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.libpam.gnome.keyring: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.logcheck: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.login: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.net.acct: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.nntpcache: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.polypaudio: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.postfix: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.ppp: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.proftpd: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.pump: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.sendfile: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.slim: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.squid: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.udev: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.wdm: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.winbind: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.wpasupplicant: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.xdm: [deleted]
modified.conffile..etc.logcheck.ignore.d.workstation.xlockmore: [deleted]
modified.conffile..etc.logcheck.violations.d.kernel: [deleted]
modified.conffile..etc.logcheck.violations.d.logcheck: [deleted]
modified.conffile..etc.logcheck.violations.d.smartd: [deleted]
modified.conffile..etc.logcheck.violations.d.su: [deleted]
modified.conffile..etc.logcheck.violations.d.sudo: [deleted]
modified.conffile..etc.logcheck.violations.ignore.d.logcheck.su: [deleted]
modified.conffile..etc.logcheck.violations.ignore.d.logcheck.sudo: [deleted]

Related branches

Thorsten Rhau (thorre) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in logcheck (Ubuntu):
status: New → Confirmed
Kaizoku (neoark) wrote :

I am also getting these notifications:

Oct 27 05:02:47 test dhclient: DHCPREQUEST of 192.168.0.4 on eth1 to 192.168.0.3 port 67 (xid=0x7f1ffa2b)
Oct 27 05:02:47 test dhclient: DHCPNAK from 192.168.0.3 (xid=0x7f1ffa2b)
Oct 27 05:02:47 test dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 3 (xid=0x3ff27ab2)

Kaizoku (neoark) wrote :

I am running 14.04.1 ubuntu.

Thorsten Rhau (thorre) wrote :

This bug seems still to be valid for 16.04.1 which I just installed on my server.

tags: added: xenial
ChristianEhrhardt (paelzer) wrote :

Hi,
I came by seeing the xenial update - this stalled for a while, but IMHO the reason is for being
a) "only" warning (yet that is the whole purpose of logwatch)
b) present in upstream and Debian as well

This bug is present in Debian too. So it would be best fixed in Debian, and then Ubuntu will pick it up on the next merge.

So I wanted to ask, would you mind filing a bug with Debian please?
If one could write a sample regex to add even better.

Changed in logcheck (Ubuntu):
importance: Undecided → Low
tags: added: bitesize needs-upstream-report
Thorsten Rhau (thorre) wrote :

Since it was over two years ago that this bug was filed by me I have given up on getting it fixed upstream.
Thank you

Wayne Scott (wsc9tt) wrote :

I fixed this manually on my machine. I agree with @paelzer. Since the purpose of this package is to highlight critical messages in logfiles this error is very important for this package.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package logcheck - 1.3.18

---------------
logcheck (1.3.18) unstable; urgency=medium

  * src/logcheck:
    - fix check if rule files are unreadable, thanks to Simon Ruderich
      for the patch (closes: #418147)
  * src/logcheck-test:
    - make mktemp usage more portable
  * Makefile:
    - remove duplicate xargs option (thanks to Sander Bos)
  * ignore.d.server/dhcp:
    - match dhcpd PID (closes: #799041)
  * ignore.d.server/dhclient:
    - rewrite rules (LP: #1357880, closes: #809605)
  * ignore.d.server/ssh:
    - add generic preauth disconnect rule (closes: #775090)
    - adjust 'Bad protocol version identification' rule, thanks to
      Paul Brossier for the patch (closes: #703936)
    - allow new FingerprintHash format (closes: #799304)
    - match 'ED25519' key type, thanks to Ayke van Laethem for the patch
    - match more disconnect messages
  * ignore.d.server/su:
    - allow '.' and '_' in username (closes: #780441)
  * ignore.d.server/rsync:
    - allow comma as thousands separator (LP: #1476199)
  * ignore.d.workstation/wpasupplicant:
    - adjust CTRL-EVENT-CONNECTED rule
    - add another CTRL-EVENT-DISCONNECTED rule
    - adjust multiple rules to match added interface name
    - allow '.' in SSID
    - match 'SME: ' prefix in 'Trying to associate' message
    - match 'freq=', 'address=' and 'uuid=' wpa_action messages
    - match CTRL-EVENT-SUBNET-STATUS-UPDATE message
    - match predictable network interface names
  * violations.ignore.d/logcheck-sudo:
    - match 'GROUP=' field (closes: #815114)
  * ignore.d.server/bind:
    - match domain name in query message, thanks to Wojciech Nizinski
      for the patch
    - ignore DNSSEC rekeying (closes: #825170)
  * ignore.d.server/openvpn:
    - match arbitrary mtu sizes (closes: #815755)
  * ignore.d.server/snmpd:
    - match optional port (closes: #644886)
  * ignore.d.server/postfix:
    - remove obsolete rule (closes: #822165)
  * ignore.d.server/systemd-timesyncd: new
    - match 'interval/delta/delay/jitter/drift' message
  * ignore.d.server/kernel:
    - 'TCP: ' prefix is optional, thanks to Xavier Mehrenberger
       for the patch (closes: #797512)
  * ignore.d.server/systemd: new
    - add some generic rules (closes: #783633)
  * debian/control:
    - add alternate dependency on cron-daemon, thanks to Felix Zielcke for the
      patch (closes: #786815)
    - use secure Vcs-* fields
    - bump to Standards-Version 3.9.8 (no changes necessary)
  * debian/copyright: update copyright year to 2017
  * Remove obsolete debian/logcheck-database.postinst
  * Add support for logcheck.logfiles.d, thanks to Vincas Dargis for
    the initial patch (closes: #481353)
  * Replace all occurrences of 'deinstall' with 'uninstall', thanks to duelle
    for the patch
  * Remove references to 'logcheck.org'

 -- Hannes von Haugwitz <email address hidden> Wed, 25 Jan 2017 22:08:04 +0100

Changed in logcheck (Ubuntu):
status: Confirmed → Fix Released
Nish Aravamudan (nacc) wrote :

The upstream fix is https://anonscm.debian.org/cgit/logcheck/logcheck.git/commit/?id=bacf43b2b706b8f91ffc34d8c983c8d7c4f3efe6

Based upon duping other bugs here, tracking where that might need backporting.

Changed in logcheck (Ubuntu Zesty):
status: New → Fix Released
Changed in logcheck (Ubuntu Xenial):
status: New → Triaged
Changed in logcheck (Ubuntu Yakkety):
status: New → Triaged
Changed in logcheck (Ubuntu Trusty):
status: New → Triaged
Joshua Powers (powersj) wrote :

Marking Yakkety invalid as it is EOL.

Assigning myself to Trusty, Xenial to prepare SRU.

Changed in logcheck (Ubuntu Xenial):
assignee: nobody → Joshua Powers (powersj)
Changed in logcheck (Ubuntu Trusty):
assignee: nobody → Joshua Powers (powersj)
Joshua Powers (powersj) on 2017-07-19
Changed in logcheck (Ubuntu Yakkety):
status: Triaged → Won't Fix
Joshua Powers (powersj) on 2017-07-19
description: updated

Hello Thorsten, or anyone else affected,

Accepted logcheck into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/logcheck/1.3.17ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in logcheck (Ubuntu Trusty):
status: Triaged → Fix Committed
Changed in logcheck (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-xenial
Joshua Powers (powersj) wrote :

I took the version in proposed (1.3.17ubuntu0.1) for a spin. Following the steps under the test case, I can confirm that the messages are in fact gone. However, there are still occasional DHCPREQUEST message because some xid values have a leading 0 that is stripped and hence the xid is only 7 values instead of 8. Those messages then will not be caught by the regex. For example:

Aug 17 16:43:47 xenial dhclient[5664]: DHCPREQUEST of 192.168.122.59 on ens3 to 255.255.255.255 port 67 (xid=0x7e8da8e)

This version of the package will remove nearly all but these occasional messages and gets our package updated with the upstream package's regex. I have filed an upstream bug here: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=872463

tags: added: verification-done-trusty verification-done-xenial
removed: needs-upstream-report verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package logcheck - 1.3.16ubuntu0.1

---------------
logcheck (1.3.16ubuntu0.1) trusty; urgency=medium

  * ignore.d.server/dhclient: rewrite rules (Closes LP: #1357880)

 -- Joshua Powers <email address hidden> Mon, 24 Jul 2017 12:49:46 -0700

Changed in logcheck (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for logcheck has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package logcheck - 1.3.17ubuntu0.1

---------------
logcheck (1.3.17ubuntu0.1) xenial; urgency=medium

  * ignore.d.server/dhclient: rewrite rules (Closes LP: #1357880)

 -- Joshua Powers <email address hidden> Wed, 19 Jul 2017 15:58:35 -0700

Changed in logcheck (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.